## net.sf.saxon.om
Interface GroundedValue

All Superinterfaces:
  ValueRepresentation

All Known Implementing Classes:
  AnyURIValue, AtomicValue, Base64BinaryValue, BigIntegerValue, BooleanValue, CalendarValue, DateTimeValue, DateValue, DayTimeDurationValue, DecimalValue, DoubleValue, DurationValue, EmptySequence, FloatValue, GDateValue, GDayValue, GMonthDayValue, GMonthValue, GYearMonthValue, GYearValue, HexBinaryValue, Int64Value, IntegerRange, IntegerValue, NotationValue, NumericValue, ObjectValue, PrecisionDecimalValue, QNameValue, QualifiedNameValue, SequenceExtent, SingletonItem, StringValue, TimeValue, UntypedAtomicValue, YearMonthDurationValue

    public interface GroundedValue

extends ValueRepresentation

A value that exists in memory and that can be directly addressed

Field Summary

Fields inherited from interface net.sf.saxon.om.ValueRepresentation
`EMPTY_VALUE_ARRAY`

Method Summary
`Item` `itemAt(int n)` Get the n'th item in the value, counting from 0
`GroundedValue` `subsequence(int start, int length)` Get a subsequence of the value

Methods inherited from interface net.sf.saxon.om.ValueRepresentation
`getStringValue, getStringValueCS`

Method Detail

### itemAt

    Item itemAt(int n)

  Get the n'th item in the value, counting from 0

  Parameters:
    `n` - the index of the required item, with 0 representing the first item in the sequence
  Returns:
    the n'th item if it exists, or null otherwise

### subsequence

    GroundedValue subsequence(int start,
                              int length)

  Get a subsequence of the value

  Parameters:
    `start` - the index of the first item to be included in the result, counting from zero. A negative value is taken as zero. If the value is beyond the end of the sequence, an empty sequence is returned
    `length` - the number of items to be included in the result. Specify Integer.MAX_VALUE to get the subsequence up to the end of the base sequence. If the value is negative, an empty sequence is returned. If the value goes off the end of the sequence, the result returns items up to the end of the sequence
  Returns:
    the required subsequence. If min is

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.